// seznamy.h
# ifndef _SEZNAMY_H_
# define _SEZNAMY_H_

class CList;
typedef const CList* List;

class CList
{
public:
	int	getValue() const 
	{ 
		return m_value; 
	}
	
	List getNext() const 
	{ 
		return m_next; 
	}

	CList(int value, List next):
		m_value(value), m_next(next)
	{}

   friend ostream& operator<< (ostream& os, List lst);

private:
	int		m_value;
	List		m_next;
};

const List null = (List)0;

// vypocet delky seznamu
int length(List lst);

// vytvoreni kopie seznamu
List copy(List lst);

// spojeni dvou seznamu
List append(List lst1, List lst2);

// obraceni prvku v seznamu
List reverse(List lst);

// soucet prvku v seznamu
int sum(List lst);

# endif